Issue 119256 - Not all recognized audio/video formats are listed (missing: ogv, flv)
Not all recognized audio/video formats are listed (missing: ogv, flv)
Status: RESOLVED FIXED
Product: General
Classification: Code
Component: ui
3.4.0
PC All
: P3 minor (vote)
: 4.0.0
Assigned To: Ariel Constenla-Haile
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-19 22:42 UTC by Andrea Pescetti
Modified: 2013-07-21 10:21 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
Patch that add flv, flac, oga, ogv and wmv media filters (1.41 KB, patch)
2012-04-26 14:02 UTC, Ariel Constenla-Haile
no flags Details | Diff
Ogg bitstream filter now displays also ogg, oga and ogv files (45.34 KB, image/png)
2012-04-26 14:06 UTC, Ariel Constenla-Haile
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Andrea Pescetti 2012-04-19 22:42:04 UTC
OpenOffice 3.4 apparently can support ogv and flv formats in Insert - Sound and video, but these are not listed in the insert dialog if one selects the "All sound and video" formats.

[Reported by Alessandro Tocci during Italian QA tests]
Comment 1 Ariel Constenla-Haile 2012-04-24 11:59:07 UTC
Testing with other files I have on my PC, the following audio/video formats are missing: 

* wmv Windows Media video
* mpc Musepack Audio
* rmvb RealMedia document
* 3gp 3GPP multimedia file

and may be some others.
I'm not sure if it makes sense to add every possible audio/video format.
Comment 2 Ariel Constenla-Haile 2012-04-25 13:30:14 UTC
(In reply to comment #1)
> Testing with other files I have on my PC, the following audio/video formats are
> missing: 
> 
> * wmv Windows Media video
> * mpc Musepack Audio
> * rmvb RealMedia document
> * 3gp 3GPP multimedia file

Also missing:

* FLAC - Free Lossless Audio Codec File
* oga - Ogg Vorbis Audio File
Comment 3 Ariel Constenla-Haile 2012-04-26 14:02:02 UTC
Created attachment 77496 [details]
Patch that add flv, flac, oga, ogv and wmv media filters
Comment 4 Ariel Constenla-Haile 2012-04-26 14:06:52 UTC
Created attachment 77497 [details]
Ogg bitstream filter now displays also ogg, oga and ogv files

I added OGV (and OGA) to the Ogg media filter. The reason for that, is that OGG is a container for audio only *and* video-audio files.
Comment 5 Ariel Constenla-Haile 2013-07-21 10:21:29 UTC
Fixed in 4.0